GDCM: gdcm::PDBElement Class Reference

GDCM 3.2.10

Public Member Functions | Protected Attributes | Friends | List of all members
gdcm::PDBElement Class Reference

Class to represent a PDB Element. More...

`#include <gdcmPDBElement.h>`

Collaboration diagram for gdcm::PDBElement:
[legend]

## Public Member Functions
| PDBElement ()=default
const char * | GetName () const
| Set/Get Name.
const char * | GetValue () const
| Set/Get Value.
bool | operator== (const PDBElement &de) const
void | SetName (const char *name)
void | SetValue (const char *value)

## Protected Attributes
std::string | NameField
std::string | ValueField

## Friends
std::ostream & | operator<< (std::ostream &os, const PDBElement &val)

## Detailed Description

Class to represent a PDB Element.

See also
  PDBHeader

## Constructor & Destructor Documentation

## ◆ PDBElement()

gdcm::PDBElement::PDBElement | ( |  | ) |
| default

References PDBElement(), and operator<<.

Referenced by PDBElement(), operator<<, and operator==().

## Member Function Documentation

## ◆ GetName()

const char * gdcm::PDBElement::GetName | ( |  | ) | const
| inline

Set/Get Name.

References NameField.

## ◆ GetValue()

const char * gdcm::PDBElement::GetValue | ( |  | ) | const
| inline

Set/Get Value.

References ValueField.

## ◆ operator==()

bool gdcm::PDBElement::operator== | ( | const PDBElement & | de | ) | const
| inline

References PDBElement(), NameField, and ValueField.

## ◆ SetName()

void gdcm::PDBElement::SetName | ( | const char * | name | ) |
| inline

References NameField.

## ◆ SetValue()

void gdcm::PDBElement::SetValue | ( | const char * | value | ) |
| inline

References ValueField.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const PDBElement & | val )
| friend

References PDBElement(), NameField, and ValueField.

Referenced by PDBElement().

## Member Data Documentation

## ◆ NameField

std::string gdcm::PDBElement::NameField
| protected

Referenced by GetName(), operator<<, operator==(), and SetName().

## ◆ ValueField

std::string gdcm::PDBElement::ValueField
| protected

Referenced by GetValue(), operator<<, operator==(), and SetValue().

The documentation for this class was generated from the following file:

- gdcmPDBElement.h